Wide Studio Object Reference

Wide Studio Home
Up to

## Class Name

WSCballoonHelp

## Specification of methods

### registerClient method

Form
  long registerClient(WSCbase* client,char* str)
Function
  Registers the instance to display the balloon helps.
Description
  Adds the specified instance and string into the list of registered instances.
Parameters

  (in)WSCbase* client | the instance
  (in)char* str | the string to display

Return value
  returns WS_NO_ERR if succeeds; returns otherwise if it fails.
Notice
  You must cancel the registration of the instance by the unregisterClient() method before deleting it. Also, you must cancel before re-resigtration with new string.
Samples

         ...
         #include "WSCballoonHelp.h"
         ...
         void init_procedure(WSCbase* object){
           WSCballoonHelp* bhelp = WSGIappBalloonHelp();
           bhelp->registerClient(object,"Balloon Help!");
           ...
         }

  ### unregisterClient method

  Form
    long unregisterClient(WSCbase* client)
  Function
    Cancels the specified registration.
  Description
    Removes the specified instance from the list of registered instances.
  Parameters

    (in)WSCbase* client | the registered instance

  Return value
    returns WS_NO_ERR if succeeds; returns otherwise if it fails.
  Notice
  Samples
    Refer to WSGIappBalloonHelp().

  ### WSGIappBalloonHelp method

  Form
    WSCballoonHelp* WSGIappBalloonHelp()
  Function
    Returns the default balloon help instance.
  Description
    Supplies the default balloon to application to reduce the work to create the balloon help instance and setting the properties.
  Parameters
    None.
  Return value
    Returns the instance of the balloon help class.
  Notice
    Examples:
    Usage of the balloon help class The following program shows the initializing event procedure, which registers the instance to the balloon help.
  Samples

           ...
           #include "WSCballoonHelp.h"
           ...
           void init_procedure(WSCbase* object){
             WSCballoonHelp* bhelp = WSGIappBalloonHelp();
             bhelp->registerClient(object,"display the strings!");
             ...
           }

  Document Release 3.70
  For use with Wide Studio Release 3.70, Spring 2004

  Wide Studio Home | Up to

  Copyright(C) WideStudio Development Team, 1999-2004 |  | Last modified: May 25, 2004